28 Nov 2024

> [!IMPORTANT]
> Breaking change: On upgrade, the UID of `projectcalico.org/v3` resources will change. It is recommended that you restart any controllers that may care about this after upgrading Calico, including the kube-controller-manager.

> [!WARNING]
> The v3.27 release Calico uses libraries from Kubernetes version v1.27.16 which is end-of-life and is not receiving security updates. There may be unfixed security issues in these Kubernetes libraries. Please consider upgrading to a newer version of Calico to receive the latest security fixes and mitigations.

#### Bug fixes
 - Fix image in flannel migration manifest [calico #9267](https://github.com/projectcalico/calico/pull/9267) (@radTuti)
 - [etcd mode] Fix issue where Calico nodes failed to decommission if calico-kube-controllers was running on the terminated node. [calico #9198](https://github.com/projectcalico/calico/pull/9198) (@caseydavenport)
 - Fix bug that inhibited garbage collection of Namespaces and ServiceAccounts with OwnerReferences. [calico #9191](https://github.com/projectcalico/calico/pull/9191) (@caseydavenport)
 - Fix that `projectcalico.org/v3` resources with OwnerReferences were unable to be garbage collected due to non-unique UIDs.  [calico #9191](https://github.com/projectcalico/calico/pull/9191) (@caseydavenport)
 - Fix that Felix would panic when trying to resync a temporary IP set.  Temporary IP sets are created in certain scenarios after previous failures. [calico #9079](https://github.com/projectcalico/calico/pull/9079) (@fasaxc)